| SX126x-Arduino 2.0.1

Data Fields
SX126xCallbacks_t Struct Reference

The radio callbacks structure Holds function pointers to be called on radio interrupts. More...

`#include <sx126x.h>`

## Data Fields
void(* | txDone )(void)
| Pointer to a function run on successful transmission. More...
void(* | rxDone )(void)
| Pointer to a function run on successful reception. More...
void(* | rxPreambleDetect )(void)
| Pointer to a function run on successful Preamble detection. More...
void(* | rxSyncWordDone )(void)
| Pointer to a function run on successful SyncWord reception. More...
void(* | rxHeaderDone )(bool isOk)
| Pointer to a function run on successful Header reception. More...
void(* | txTimeout )(void)
| Pointer to a function run on transmission timeout. More...
void(* | rxTimeout )(void)
| Pointer to a function run on reception timeout. More...
void(* | rxError )(IrqErrorCode_t errCode)
| Pointer to a function run on reception error. More...
void(* | cadDone )(bool cadFlag)
| Pointer to a function run on channel activity detected. More...

## Detailed Description

The radio callbacks structure Holds function pointers to be called on radio interrupts.

## Field Documentation

## ◆ txDone

void(* SX126xCallbacks_t::txDone) (void)

Pointer to a function run on successful transmission.

## ◆ rxDone

void(* SX126xCallbacks_t::rxDone) (void)

Pointer to a function run on successful reception.

## ◆ rxPreambleDetect

void(* SX126xCallbacks_t::rxPreambleDetect) (void)

Pointer to a function run on successful Preamble detection.

## ◆ rxSyncWordDone

void(* SX126xCallbacks_t::rxSyncWordDone) (void)

Pointer to a function run on successful SyncWord reception.

## ◆ rxHeaderDone

void(* SX126xCallbacks_t::rxHeaderDone) (bool isOk)

Pointer to a function run on successful Header reception.

## ◆ txTimeout

void(* SX126xCallbacks_t::txTimeout) (void)

Pointer to a function run on transmission timeout.

## ◆ rxTimeout

void(* SX126xCallbacks_t::rxTimeout) (void)

Pointer to a function run on reception timeout.

## ◆ rxError

void(* SX126xCallbacks_t::rxError) (IrqErrorCode_t errCode)

Pointer to a function run on reception error.

## ◆ cadDone

void(* SX126xCallbacks_t::cadDone) (bool cadFlag)

Pointer to a function run on channel activity detected.

The documentation for this struct was generated from the following file:

- src/radio/sx126x/sx126x.h